import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { NavigationComponent } from './components/navigation/navigation.component';
import { SnackBarNotificationComponent } from './components/notificaiton/snack-bar-notification.component';
import { MaterialModule } from './material/material.module';
import { TranslateModule } from '@ngx-translate/core';

@NgModule({
	imports: [
		CommonModule,
        RouterModule,
        MaterialModule,
        TranslateModule
	],

	declarations: [
        NavigationComponent,
        SnackBarNotificationComponent
	],

	exports: [
        NavigationComponent,
        SnackBarNotificationComponent
	],
	entryComponents: [
	]
})

export class SharedModule { }
